> ## Documentation Index
> Fetch the complete documentation index at: https://idle.docs.datacircle.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a download link



## OpenAPI

````yaml /openapi.json post /files/{file_id}/download-link/
openapi: 3.1.0
info:
  title: Datacircle API
  version: '1'
servers:
  - url: https://api.datacircle.dev
security:
  - token: []
paths:
  /files/{file_id}/download-link/:
    post:
      summary: Get a download link
      parameters:
        - name: file_id
          in: path
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: '`{"url": ...}`, valid one hour'
        '403':
          description: Not unlocked for this workspace
components:
  securitySchemes:
    token:
      type: apiKey
      in: header
      name: Authorization
      description: '`Token <your API key>`'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.